<content-type>
  <display-name i18n="content-types.tv_show.display-name">TV Show</display-name>
  <display-name-expression>${title}</display-name-expression>
  <description>tv-show</description>
  <super-type>base:structured</super-type>
  <form>
    <input name="title" type="TextLine">
      <label i18n="content-types.tv_show.title">Title</label>
      <occurrences minimum="1" maximum="1" />
    </input>

    <input name="overview" type="TextArea">
      <label i18n="content-types.tv_show.overview">Overview</label>
      <occurrences minimum="1" maximum="1" />
    </input>

    <input name="first_aired_date" type="Date">
      <label i18n="content-types.tv_show.release_date">First aired date</label>
      <occurrences minimum="1" maximum="1" />
    </input>

    <input name="last_aired_date" type="Date">
      <label i18n="content-types.tv_show.release_date">Last aired date</label>
      <occurrences minimum="1" maximum="1" />
    </input>

    <input name="number_of_episodes" type="Long">
      <label i18n="content-types.tv_show.number_of_episodes">Number of episodes</label>
      <occurrences minimum="1" maximum="1" />
      <config>
        <min>0</min>
      </config>
    </input>

    <input name="poster" type="ImageSelector">
      <label i18n="content-types.tv_show.poster">Poster</label>
      <occurrences minimum="1" maximum="1" />
      <config>
        <allowPath>./*</allowPath>
      </config>
    </input>

    <item-set name="arcs">
      <label i18n="content-types.tv_show.arcs.label">Arcs</label>
      <occurrences minimum="0" maximum="0" />
      <items>
        <input name="title" type="TextLine">
          <label i18n="content-types.tv_show.arcs.title">Arc title</label>
          <occurrences minimum="1" maximum="1" />
        </input>

        <input name="overview" type="TextArea">
          <label i18n="content-types.tv_show.arcs.overview">Arc overview</label>
          <occurrences minimum="1" maximum="1" />
        </input>

        <input name="poster" type="ImageSelector">
          <label i18n="content-types.tv_show.arcs.poster">Arc Poster</label>
          <occurrences minimum="0" maximum="1" />
          <config>
            <allowPath>./*</allowPath>
          </config>
        </input>
      </items>
    </item-set>

    <input name="characters" type="ContentSelector">
      <label i18n="content-types.tv_show.characters">Characters</label>
      <occurrences minimum="0" maximum="0" />
      <config>
        <allowContentType>${app}:character</allowContentType>
      </config>
    </input>
  </form>
</content-type>